﻿@using Microsoft.Ajax.Utilities
@using Microsoft.Web.Mvc
@using Microsoft.Web.Mvc.Html
@model HOD.Models.VirtualListing
@using HOD.Models
@{

    if (!WebSecurity.IsAuthenticated)
    {
        Response.Redirect("/Account/Login");
        Response.End();
    }
    string ImageDirectory = "http://casavue-image-bucket.s3-website-us-east-1.amazonaws.com/";//ViewBag.ImageUrl;
    int imageUploadCount = 6;

    if (Session["TIER"] != null)
    {
        if (Session["TIER"].ToString().ToUpper() == "FREE")
        { 
             
        }
        else
        { 
             
        }
    }

    using (UsersContext db = new UsersContext())
    {
        UserProfile currentUser;

        if (WebSecurity.Initialized)
        {
            currentUser = db.UserProfiles.Find(WebSecurity.CurrentUserId);           

            imageUploadCount = (currentUser.MaxUploadCount != null) ? Convert.ToInt32(currentUser.MaxUploadCount) : 6;         

             
        }
    }


}

@{
    Layout = "~/Views/Shared/_SecuredPagesLayout.cshtml";
}

@section head{
    <script type="text/javascript" src="@Url.Content("~/Scripts/jquery.qtip.min.js")"></script>
    <link href="@Url.Content("~/Content/jquery.qtip.min.css")" rel="stylesheet" />
    <script type="text/javascript" src="@Url.Content("~/Scripts/croppic.js")"></script>
    <link href="@Url.Content("~/Content/assets/css/croppic.css")" rel="stylesheet">
}


@{
    var contactPerson = (string)TempData["RegisterContactPerson"];

    List<SelectListItem> propertyTypes = new List<SelectListItem>();
    propertyTypes.Add(new SelectListItem { Text = "Apartment", Value = "APT" });
    propertyTypes.Add(new SelectListItem { Text = "Condo", Value = "CONDO" });
    propertyTypes.Add(new SelectListItem { Text = "Fully Detached", Value = "FDET" });
    propertyTypes.Add(new SelectListItem { Text = "Semi-Detached", Value = "SDET" });
    propertyTypes.Add(new SelectListItem { Text = "Townhouse", Value = "THSE" });
    propertyTypes.Add(new SelectListItem { Text = "Other", Value = "OTH" });

    string logoImage = string.Empty;
    int agentId = 0;
    string background = string.Empty;
    string businessName = string.Empty;
    string phone1 = string.Empty;
    string phone2 = string.Empty;
    string agentPhoto = string.Empty;
    string agentAddress = string.Empty;
    string province = string.Empty;
    string postalCode = string.Empty;
    string agentUrl = string.Empty;

    using (UsersContext db = new UsersContext())
    {
        UserProfile currentUser = db.UserProfiles.Find(WebSecurity.CurrentUserId);


        if (Session["AGENTID"] != null)
        {
            agentId = int.Parse(Session["AGENTID"].ToString());
        }
        else
        {
            agentId = currentUser.AgentId;
        }


        bool isCasaVueAgent = false;

        if (agentId == Convert.ToInt32(System.Configuration.ConfigurationManager.AppSettings["DefaultAgentId"].ToString()))
        {
            isCasaVueAgent = true;
        }

        bool isFreeTier = false;

        using (HOD.Data.Entities.HODContext dbX = new HOD.Data.Entities.HODContext())
        {
            try
            {
                if (dbX.UserProfiles.Where(x => x.UserId == currentUser.UserId).FirstOrDefault().Tier.ToUpper() != null)
                {
                    isFreeTier = true;
                }
            }

            catch (NullReferenceException ne)
            {
                isFreeTier = false;
            }
        }

        HOD.Data.Entities.AgentInformation agentData;

        using (HOD.Data.Entities.HODContext dbContext = new HOD.Data.Entities.HODContext())
        {

            agentData = dbContext.AgentInformations.Where(x => x.AgentId == agentId).FirstOrDefault();

            if (agentData != null)
            {
                logoImage = ImageDirectory + agentData.MainWebsitePhoto;
                agentPhoto = ImageDirectory + agentData.ProfilePhoto;
                background = ImageDirectory + agentData.BackgroundPhoto;
                businessName = agentData.BusinessName;
                phone1 = agentData.Phone1;
                phone2 = agentData.Phone2;
                province = agentData.Province;
                postalCode = agentData.PostalCode;
                agentAddress = agentData.BusinessAddress;
                agentUrl = agentData.AgentUrl;

                //FREE TIER NOT CASAVUE CLIENT
                if (isFreeTier && !isCasaVueAgent)
                {
                    background = "http://casavue-image-bucket.s3-website-us-east-1.amazonaws.com/bgTopNew.jpg";
                    logoImage = "http://casavue-image-bucket.s3-website-us-east-1.amazonaws.com/AP_logo.png";
                }

                //FREE TIER AND CASAVUE CLIENT
                //if (isCasaVueAgent){
                //No work required the agentData will contain the casavue content
                //}
            }

        }
    }

}

<link href="@Url.Content("~/Scripts/dropzone/basic.css")" rel="stylesheet">
<link href="@Url.Content("~/Scripts/dropzone/dropzone.css")" rel="stylesheet">
<style type="text/css">
    .dz-max-files-reached {
        background-color: red;
    }

    .dz-image {
        display: none !important;
    }

    .dz-custom-thumb {
        border-radius: 20px;
        display: block;
        height: 120px;
        overflow: hidden;
        position: relative;
        width: 120px;
        z-index: 10;
    }

        .dz-custom-thumb img {
            width: 100%;
            height: auto;
        }
</style>

<style type="text/css">
    .croppedImg {
        height: 100%;
    }

    .bs-example {
        margin: 20px;
    }

    .col-sm-3 {
        border: none;
        text-align: center;
        margin: 0;
    }
</style>
<style type="text/css">
    /*form styles*/
    #msform {
        clear: both;
        display: block;
        height: auto;
        margin: 50px auto;
        position: relative;
        text-align: center;
        width: 100%;
        z-index: 999;
    }

        #msform fieldset {
            background: white;
            border: 0 none;
            border-radius: 3px;
            box-shadow: 0 0 15px 1px rgba(0, 0, 0, 0.4);
            padding: 20px 30px;
            box-sizing: border-box;
            width: 80%;
            margin: 0 10%;
            position: absolute;
            /*stacking fieldsets above each other


    */
        }
            /*Hide all except first fieldset*/
            #msform fieldset:not(:first-of-type) {
                display: none;
            }
        /*inputs*/
        #msform input, #msform textarea {
            border: 1px solid #ccc;
            border-radius: 3px;
            box-sizing: border-box;
            color: #2c3e50;
            font-family: montserrat;
            font-size: 20px;
            height: auto;
            margin-bottom: 10px;
            padding: 15px;
            width: 100%;
        }
        /*buttons*/
        #msform .action-button {
            width: 100px;
            background: #27AE60;
            font-weight: bold;
            color: white;
            border: 0 none;
            border-radius: 1px;
            cursor: pointer;
            padding: 10px 5px;
            margin: 10px 5px;
        }

            #msform .action-button:hover, #msform .action-button:focus {
                box-shadow: 0 0 0 2px white, 0 0 0 3px #27AE60;
            }
    /*headings*/
    .fs-title {
        font-size: 15px;
        text-transform: uppercase;
        color: #2C3E50;
        margin-bottom: 10px;
    }

    .fs-subtitle {
        font-weight: normal;
        font-size: 13px;
        color: #666;
        margin-bottom: 20px;
    }
    /*progressbar*/
    #progressbar {
        background: #333 none repeat scroll 0 0;
        counter-reset: step;
        margin-bottom: 30px;
        overflow: hidden;
        padding: 10px 0;
    }

        #progressbar li {
            list-style-type: none;
            color: white;
            text-transform: uppercase;
            font-size: 9px;
            width: 20%;
            float: left;
            position: relative;
        }

            #progressbar li:before {
                content: counter(step);
                counter-increment: step;
                width: 20px;
                line-height: 20px;
                display: block;
                font-size: 10px;
                color: #333;
                background: white;
                border-radius: 3px;
                margin: 0 auto 5px auto;
            }
            /*progressbar connectors*/
            #progressbar li:after {
                content: '';
                width: 100%;
                height: 2px;
                background: white;
                position: absolute;
                left: -50%;
                top: 9px;
                z-index: -1; /*put it behind the numbers*/
            }

            #progressbar li:first-child:after {
                /*connector not needed before the first step*/
                content: none;
            }
            /*marking active/completed steps green*/
            /*The number of the step and the connector before it = green*/
            #progressbar li.active:before, #progressbar li.active:after {
                background: #27AE60;
                color: white;
            }
</style>
<script type="text/javascript">

    var CropperWidth = 288;
    var CropperHeight = 300;
    function SetBtnId(event) {
        SelectBtn = event.target.id;
    }

    var $body2 = $('body');
    $body2.css('background-image', 'none');

    $(document).ready(function () {


        var $body = $('body');
        $body.css('backgroundImage', 'url("@background")');//.height(525).width(1660);
        $('#agentLogo').attr('src', '@logoImage ');

        $("#image1").on('click', SetBtnId);
        $("#image2").on('click', SetBtnId);
        $("#image3").on('click', SetBtnId);
        $("#image4").on('click', SetBtnId);

        document.getElementById('image1').addEventListener('change', handleFileSelect1, false);
        document.getElementById('image2').addEventListener('change', handleFileSelect2, false);
        document.getElementById('image3').addEventListener('change', handleFileSelect3, false);
        document.getElementById('image4').addEventListener('change', handleFileSelect4, false);


        function handleFileSelect1(evt) {
            var files = evt.target.files;
            var f = files[0];
            var reader = new FileReader();

            reader.onload = (function (theFile) {
                return function (e) {
                    document.getElementById('list1').innerHTML = ['<img src="', e.target.result, '" title="', theFile.name, '" width="50" />'].join('');
                };
            })(f);

            reader.readAsDataURL(f);
        }

        function handleFileSelect2(evt) {
            var files = evt.target.files;
            var f = files[0];
            var reader = new FileReader();

            reader.onload = (function (theFile) {
                return function (e) {
                    document.getElementById('list2').innerHTML = ['<img src="', e.target.result, '" title="', theFile.name, '" width="50" />'].join('');
                };
            })(f);

            reader.readAsDataURL(f);
        }

        function handleFileSelect3(evt) {
            var files = evt.target.files;
            var f = files[0];
            var reader = new FileReader();

            reader.onload = (function (theFile) {
                return function (e) {
                    document.getElementById('list3').innerHTML = ['<img src="', e.target.result, '" title="', theFile.name, '" width="50" />'].join('');
                };
            })(f);

            reader.readAsDataURL(f);
        }

        function handleFileSelect4(evt) {
            var files = evt.target.files;
            var f = files[0];
            var reader = new FileReader();

            reader.onload = (function (theFile) {
                return function (e) {
                    document.getElementById('list4').innerHTML = ['<img src="', e.target.result, '" title="', theFile.name, '" width="50" />'].join('');
                };
            })(f);

            reader.readAsDataURL(f);
        }


        $('#helpinfo').qtip({ // Grab some elements to apply the tooltip to
            content: {
                text: 'Personal Contact information will not be made public...etc'
            }
        });

        /***When user selects text box it clears out default zero***/
        $('#ListPrice').focus(function () {
            if ($('#ListPrice').val() == 0) {
                $('#ListPrice').val('');
            }
        });

        $('#SquareFootage').focus(function () {
            if ($('#SquareFootage').val() == 0) {
                $('#SquareFootage').val('');
            }
        });


    //Multistep form processing
    //jQuery time
    var current_fs, next_fs, previous_fs; //fieldsets
    var left, opacity, scale; //fieldset properties which we will animate
    var animating; //flag to prevent quick multi-click glitches

    $(".next").click(function () {
        if (animating) return false;
        animating = true;

        current_fs = $(this).parent();
        next_fs = $(this).parent().next();

        //activate next step on progressbar using the index of next_fs
        //$("#progressbar li").eq($("fieldset").index(next_fs)).addClass("active");
        $("#progressbar li").eq($("fieldset").index(next_fs)).removeClass("active");
        $("#progressbar li#progress-bar-" + $(this).attr("s_index")).addClass("active");

        //show the next fieldset
        next_fs.show();
        //hide the current fieldset with style
        current_fs.animate({ opacity: 0 }, {
            step: function (now, mx) {
                //as the opacity of current_fs reduces to 0 - stored in "now"
                //1. scale current_fs down to 80%
                scale = 1 - (1 - now) * 0.2;
                //2. bring next_fs from the right(50%)
                left = (now * 50) + "%";
                //3. increase opacity of next_fs to 1 as it moves in
                opacity = 1 - now;
                current_fs.css({ 'transform': 'scale(' + scale + ')' });
                next_fs.css({ 'left': left, 'opacity': opacity });
            },
            duration: 800,
            complete: function () {
                current_fs.hide();
                animating = false;
            },
            //this comes from the custom easing plugin
            easing: 'easeInOutBack'
        });
    });

    $(".previous").click(function () {
        if (animating) return false;
        animating = true;


        current_fs = $(this).parent();
        previous_fs = $(this).parent().prev();

        //de-activate current step on progressbar
        //$("#progressbar li").eq($("fieldset").index(current_fs)).removeClass("active");

        $("#progressbar li").eq($("fieldset").index(current_fs)).removeClass("active");
        //$("#progressbar li#progress-bar-" + $(this).attr("s_index")).addClass("active");
        if ($(this).attr("s_index") != 1)
            $("#progressbar li#progress-bar-" + $(this).attr("s_index")).removeClass("active");
        //show the previous fieldset
        previous_fs.show();
        //hide the current fieldset with style
        current_fs.animate({ opacity: 0 }, {
            step: function (now, mx) {
                //as the opacity of current_fs reduces to 0 - stored in "now"
                //1. scale previous_fs from 80% to 100%
                scale = 0.8 + (1 - now) * 0.2;
                //2. take current_fs to the right(50%) - from 0%
                left = ((1 - now) * 50) + "%";
                //3. increase opacity of previous_fs to 1 as it moves in
                opacity = 1 - now;
                current_fs.css({ 'left': left });
                previous_fs.css({ 'transform': 'scale(' + scale + ')', 'opacity': opacity });
            },
            duration: 800,
            complete: function () {
                current_fs.hide();
                animating = false;
            },
            //this comes from the custom easing plugin
            easing: 'easeInOutBack'
        });
    });


    });

</script>

 

    <section id="loginForm">
        @using (Html.BeginForm("create", "Listing", FormMethod.Post, new { @class = "form-horizontal", @role = "form", id = "msform", enctype = "multipart/form-data" }))
        {
            @Html.AntiForgeryToken()
            @Html.ValidationSummary(false)

                    <!-- progressbar -->
            <ul id="progressbar">
                <li class="active" id="progress-bar-1">Location</li>
                <li id="progress-bar-2">Contact Info</li>
                <li id="progress-bar-3">Listing Details</li>
                <li id="progress-bar-4">Upload Images</li>
                <li id="progress-bar-5">Create Now</li>
            </ul>
    <!-- fieldsets -->
            <fieldset class="city">
                <h2 class="fs-title">Start Creating your Listing</h2>
                @Html.TextBoxFor(m => m.City, new { @class = "form-control", @placeholder = "In Which city", id = "city" })
                <input type="button" name="next" class="next action-button" value="Next" s_index="1" />
            </fieldset>

            <fieldset class="address">
                <h2 class="fs-title">Tell us your address</h2>
                @Html.TextAreaFor(m => m.Address, new { @class = "form-control", @placeholder = "Address", id = "address", @rows = "3", @maxlength = "200", autofocus = "" })
                <input type="button" name="previous" class="previous action-button" value="Previous" s_index="1" />
                <input type="button" name="next" class="next action-button" value="Next" s_index="1" />
            </fieldset>

            <fieldset class="province">
                <h2 class="fs-title">In which area</h2>

                @Html.DropDownListFor(m => m.Province, new SelectList(
                                                  new List<Object>{
                                                    new { value="", text = "PROVINCE/STATE" },
                                                    new { value="", text = "-----------------" },
                                                    new { value="", text = "CANADIAN PROVINCES" },
                                                    new { value="", text = "-----------------" },
                                                    new { value="Alberta", text = "Alberta" },
                                                    new { value="British Columbia", text = "British Columbia" },
                                                    new { value="Manitoba", text = "Manitoba" },
                                                    new { value="New Brunswick", text = "New Brunswick" },
                                                    new { value="NewFoundland and Labrador", text = "NewFoundland and Labrador" },
                                                    new { value="Northwest Terriories", text = "Northwest Terriories" },
                                                    new { value="Nova Scotia", text = "Nova Scotia" },
                                                    new { value="Nunavut", text = "Nunavut" },
                                                    new { value="Ontario", text = "Ontario" },
                                                    new { value="Prince Edwards Island", text = "Prince Edwards Island" },
                                                    new { value="Quebec", text = "Quebec" },
                                                    new { value="Saskatchewan", text = "Saskatchewan" },
                                                    new { value="Yukon", text = "Yukon" },
                                                    new { value="", text = "-----------------" },
                                                    new { value="", text = "US STATES" },
                                                    new { value="", text = "-----------------" },
                                                    new  { Text="Alabama", Value="AL"},
                                                    new  { Text="Alaska", Value="AK"},
                                                    new  { Text="Arizona", Value="AZ"},
                                                    new  { Text="Arkansas", Value="AR"},
                                                    new  { Text="California", Value="CA"},
                                                    new  { Text="Colorado", Value="CO"},
                                                    new  { Text="Connecticut", Value="CT"},
                                                    new  { Text="District of Columbia", Value="DC"},
                                                    new  { Text="Delaware", Value="DE"},
                                                    new  { Text="Florida", Value="FL"},
                                                    new  { Text="Georgia", Value="GA"},
                                                    new  { Text="Hawaii", Value="HI"},
                                                    new  { Text="Idaho", Value="ID"},
                                                    new  { Text="Illinois", Value="IL"},
                                                    new  { Text="Indiana", Value="IN"},
                                                    new  { Text="Iowa", Value="IA"},
                                                    new  { Text="Kansas", Value="KS"},
                                                    new  { Text="Kentucky", Value="KY"},
                                                    new  { Text="Louisiana", Value="LA"},
                                                    new  { Text="Maine", Value="ME"},
                                                    new  { Text="Maryland", Value="MD"},
                                                    new  { Text="Massachusetts", Value="MA"},
                                                    new  { Text="Michigan", Value="MI"},
                                                    new  { Text="Minnesota", Value="MN"},
                                                    new  { Text="Mississippi", Value="MS"},
                                                    new  { Text="Missouri", Value="MO"},
                                                    new  { Text="Montana", Value="MT"},
                                                    new  { Text="Nebraska", Value="NE"},
                                                    new  { Text="Nevada", Value="NV"},
                                                    new  { Text="New Hampshire", Value="NH"},
                                                    new  { Text="New Jersey", Value="NJ"},
                                                    new  { Text="New Mexico", Value="NM"},
                                                    new  { Text="New York", Value="NY"},
                                                    new  { Text="North Carolina", Value="NC"},
                                                    new  { Text="North Dakota", Value="ND"},
                                                    new  { Text="Ohio", Value="OH"},
                                                    new  { Text="Oklahoma", Value="OK"},
                                                    new  { Text="Oregon", Value="OR"},
                                                    new  { Text="Pennsylvania", Value="PA"},
                                                    new  { Text="Rhode Island", Value="RI"},
                                                    new  { Text="South Carolina", Value="SC"},
                                                    new  { Text="South Dakota", Value="SD"},
                                                    new  { Text="Tennessee", Value="TN"},
                                                    new  { Text="Texas", Value="TX"},
                                                    new  { Text="Utah", Value="UT"},
                                                    new  { Text="Vermont", Value="VT"},
                                                    new  { Text="Virginia", Value="VA"},
                                                    new  { Text="Washington", Value="WA"},
                                                    new  { Text="West Virginia", Value="WV"},
                                                    new  { Text="Wisconsin", Value="WI"},
                                                    new  { Text="Wyoming", Value="WY"}

                                                    },
                                                  "value",
                                                  "text",
                                                   2), new { @class = "form-control", @placeholder = "Province", id = "province" })

                <input type="button" name="previous" class="previous action-button" s_index="1" value="Previous" />
                <input type="button" name="next" class="next action-button" value="Next" s_index="1" />
            </fieldset>

            <fieldset class="postcode">
                <h2 class="fs-title">Enter your postcode</h2>
                @Html.TextBoxFor(m => m.PostalCode, new { @class = "form-control", @placeholder = "Postal Code", id = "postalcode" })
                <input type="button" name="previous" class="previous action-button" value="Previous" s_index="1" />
                <input type="button" name="next" class="next action-button" value="Next" s_index="1" />
            </fieldset>

            <fieldset class="neighbourhood">
                <h2 class="fs-title">Enter Your Neighbourhood</h2>
                @Html.TextBoxFor(m => m.Neighbourhood, new { @class = "form-control", @placeholder = "Neighbourhood", id = "neighbourhood" })
                <input type="button" name="previous" class="previous action-button" value="Previous" s_index="1" />
                <input type="button" name="next" class="next action-button" value="Next" s_index="2" />
            </fieldset>

            <fieldset class="contact-info">
                <h2 class="fs-title">Enter Your Contact Info</h2>
                @Html.TextBoxFor(m => m.ContactPerson, new { @class = "form-control", @placeholder =" Contact Name"})
                @Html.TextBoxFor(m => m.PhoneNo, new { @class = "form-control", @placeholder ="Phone No" })
                <div>
                    @Html.CheckBoxFor(m => m.DontShowPhoneNo, new { @checked = "checked" })
                    @Html.LabelFor(m => m.DontShowPhoneNo, "Don't Show Phone No", new { @class = "control-label" })
                </div>

                <input type="button" name="previous" class="previous action-button" value="Previous" s_index="2" />
                <input type="button" name="next" class="next action-button" value="Next" s_index="3" />
            </fieldset>

            <fieldset class="listing-details">
                <h2 class="fs-title">Enter Your Listing Details</h2>

                <div class="form-group row">
                    @Html.LabelFor(m => m.ListPrice, "List Price", new { @class = "col-sm-2 control-label", @placeholder = "Sale Price" })
                    <div class="col-sm-6">
                        @Html.TextBoxFor(m => m.ListPrice, new { @class = "form-control", @placeholder = "Price in $" })
                    </div>
                    <div class="col-sm-4">
                        @Html.CheckBoxFor(m => m.DontShowListPrice, new { @checked = "checked" })
                        @Html.LabelFor(m => m.ListPrice, "Don't Show Price", new { @class = "control-label" })
                    </div>
                    <div class="col-sm-12">
                        @Html.ValidationMessageFor(m => m.ListPrice)
                    </div>
                </div>

                <div class="form-group row">
                    @Html.LabelFor(m => m.SquareFootage, "Sq footage ", new { @class = "col-sm-2 control-label" })
                    <div class="col-sm-6">

                        @Html.TextBoxFor(m => m.SquareFootage, new { @class = "form-control", @placeholder = "Square footage" })
                    </div>
                    <div class="col-sm-4">
                        @Html.CheckBoxFor(m => m.DontShowSquareFootage, new { @checked = "checked" })
                        @Html.LabelFor(m => m.DontShowSquareFootage, "Don't Show Sq. Foot", new { @class = "control-label" })

                    </div>
                    <div class="col-sm-12">
                        @Html.ValidationMessageFor(m => m.SquareFootage)
                    </div>
                </div>

                <div class="form-group row">
                    @Html.Label("Property Type:", new { @class = "col-sm-2 control-label" })
                    <div class="col-sm-4">
                        @Html.DropDownListFor(x => x.PropertyType, propertyTypes, Model.PropertyType, new { @class = "form-control" })
                    </div>
                    <div class="col-sm-6">
                    </div>
                </div>


                <input type="button" name="previous" class="previous action-button" value="Previous" s_index="3" />
                <input type="button" name="next" class="next action-button" value="Next" s_index="4" />
            </fieldset>

            <fieldset>
                <h2 class="fs-title">Add Some More Details</h2>

                @{
            List<SelectListItem> listItems = new List<SelectListItem>();
            listItems.Add(new SelectListItem { Text = "1", Value = "1.00" });
            listItems.Add(new SelectListItem { Text = "1.5", Value = "1.50" });
            listItems.Add(new SelectListItem { Text = "2", Value = "2.00" });
            listItems.Add(new SelectListItem { Text = "3", Value = "3.00" });
            listItems.Add(new SelectListItem { Text = "4", Value = "4.00" });
            listItems.Add(new SelectListItem { Text = "5", Value = "5.00" });
            listItems.Add(new SelectListItem { Text = "6", Value = "6.00" });
                }
                <div class="form-group row">
                    @Html.Label("No Of Bathrooms:", new { @class = "col-sm-2 control-label" })

                    <div class="col-sm-6">
                        @Html.DropDownListFor(m => m.NoOfBathrooms, listItems, new { @class = "form-control" })


                        @*Html.DropDownList("NoOfBathrooms", (SelectList) ViewBag.Bathrooms
                            <select name="NoOfBathrooms" class="form-control">
                                <option value="1">1</option>
                                <option value="1.5">1.5</option>
                                <option value="2">2</option>
                                <option value="3">3</option>
                                <option value="4">4</option>
                                <option value="5">5</option>
                                <option value="6">6</option>
                            </select>*@
                    </div>
                    <div class="col-sm-4">
                    </div>
                </div>

                <div class="form-group row">
                    @Html.Label("No Of Bedrooms:", new { @class = "col-sm-2 control-label" })


                    <div class="col-sm-6">
                        @Html.DropDownListFor(m => m.NoOfBedrooms, listItems, new { @class = "form-control" })
                        @*
                            <select name="NoOfBedrooms" class="form-control">
                                <option value="1">1</option>
                                <option value="1.5">1.5</option>
                                <option value="2">2</option>
                                <option value="3">3</option>
                                <option value="4">4</option>
                                <option value="5">5</option>
                                <option value="6">6</option>
                            </select>
                        *@
                    </div>
                    <div class="col-sm-4">
                    </div>
                </div>

                <div class="form-group row">
                    @Html.LabelFor(m => m.MainSellingDesc, "Sellers Description", new { @class = "col-sm-2 control-label" })
                    <div class="col-sm-12" align="left">
                        @Html.TextAreaFor(m => m.MainSellingDesc, new { @class = "form-control", @rows = "4", @maxlength = "250" })
                    </div>
                    @Html.ValidationMessageFor(m => m.MainSellingDesc)
                </div>

                <input type="button" name="previous" class="previous action-button" value="Previous" s_index="3" />
                <input type="button" name="next" class="next action-button" value="Next" s_index="4" />
            </fieldset>

            <fieldset class="upload-listing-image">
                <h2 class="fs-title">Upload Your Listing Images</h2>
                <div class="dropzone" id="dropzoneContainer">
                    <div class="fallback">
                        <input name="file" type="file" multiple />
                        <input type="submit" value="Upload" />
                    </div>
                </div>
                <div class="panel-body hidden">
                    <div class="form-group row">
                        @Html.LabelFor(m => m.ImagesVirtualSign, "First Photo", new { @class = "col-sm-2 control-label" })
                        <div class="col-sm-8" align="left">
                            <!-- @Html.TextBoxFor(m => m.ImagesVirtualSign, "ImagesVirtualSign", new { @class = "col-sm-6 control-label", type = "file", accept = "image/*", id = "image1" })-->
                            <button class="btn btn-default" data-toggle="modal" data-target="#imageCropper" id="image1">Upload Image</button>
                            <output class="col-sm-3 col-sm-offset-3" id="list1"></output>
                            @Html.HiddenFor(m => m.Image1VirtualSign, new { id = "_image1" })
                        </div>
                    </div>

                    <div class="form-group row">
                        @Html.LabelFor(m => m.ImagesVirtualSign, "Second Photo", new { @class = "col-sm-2 control-label", type = "file", accept = "image/*" })
                        <div class="col-sm-8" align="left">
                            <!-- @Html.TextBoxFor(m => m.ImagesVirtualSign, "ImagesVirtualSign", new { @class = "col-sm-6 control-label", type = "file", accept = "image/*", id = "image2" })-->
                            <button class="btn btn-default" data-toggle="modal" data-target="#imageCropper" id="image2">Upload Image</button>
                            <output class="col-sm-3 col-sm-offset-3" id="list2"></output>
                            @Html.HiddenFor(m => m.Image2VirtualSign, new { id = "_image2" })
                        </div>
                    </div>
                    <div class="form-group row">
                        @Html.LabelFor(m => m.ImagesVirtualSign, "Third Photo", new { @class = "col-sm-2 control-label", type = "file", accept = "image/*" })
                        <div class="col-sm-8" align="left">
                            <!-- @Html.TextBoxFor(m => m.ImagesVirtualSign, "ImagesVirtualSign", new { @class = "col-sm-6 control-label", type = "file", accept = "image/*", id = "image3" })-->
                            <button class="btn btn-default" data-toggle="modal" data-target="#imageCropper" id="image3">Upload Image</button>
                            <output class="col-sm-3 col-sm-offset-3" id="list3"></output>
                            @Html.HiddenFor(m => m.Image3VirtualSign, new { id = "_image3" })
                        </div>
                    </div>

                    <div class="form-group">
                        @Html.LabelFor(m => m.ImagesVirtualSign, "Fourth Photo", new { @class = "col-sm-2 control-label", type = "file", accept = "image/*" })
                        <div class="col-sm-8" align="left">
                            <!--  @Html.TextBoxFor(m => m.ImagesVirtualSign, "ImagesVirtualSign", new { @class = "col-sm-6 control-label", type = "file", accept = "image/*", id = "image4" })-->
                            <button class="btn btn-default" data-toggle="modal" data-target="#imageCropper" id="image4">Upload Image</button>
                            <output class="col-sm-3 col-sm-offset-3" id="list4"></output>
                            @Html.HiddenFor(m => m.Image4VirtualSign, new { id = "_image4" })
                        </div>
                    </div>

                </div>

                <input type="button" name="previous" class="previous action-button" value="Previous" s_index="4" />
                <input type="button" name="next" class="next action-button" value="Next" s_index="5" />
            </fieldset>

            <fieldset class="meta">
                <div class="form-group">
                    <!--Private seller check-->
                    <div class="col-sm-2"></div>
                    <div class="col-sm-10">
                        <label>
                            Do you wish to make your contact information private?
                            @Html.CheckBoxFor(m => m.PrivateSellerOption)
                            <span style="color:#0aa1ca; text-decoration:underline;" id="helpinfo">more info</span>
                        </label>
                    </div>
                </div>
                <input type="button" name="previous" class="previous action-button" value="Previous" s_index="5" />
                <input type="submit" name="next" class="next action-button" value="Submit" />
                <input type="hidden" name="listingImages" id="listingImages" value="" />
                <input type="hidden" name="listingImagesCount" id="listingImagesCount" value="0" />
            </fieldset>


            }
        </section>
        <!--<div class="panel panel-default" style="padding: 4px;">
              <div class="panel-heading">
                  <h3 class="panel-title">Hi @contactPerson, Please fill in these sections to create your Virtual Lawn Sign and Property Website. </h3>
              </div>


          <div class="panel-body">

          </div>
        </div>-->
 
    <div class="form-group hidden">
        <fieldset style="margin: -4px;">
            <!--legend>Create Virtual Listing</!--legend-->

            <div class="panel panel-primary">
                <div class="panel-heading" align="left">Listing Address</div>
                <div class="panel-body">
                    <div class="form-group">
                        @Html.LabelFor(m => m.Address, "Address ", new { @class = "col-sm-2 control-label" })
                        <div class="col-xs-4">
                            @Html.TextAreaFor(m => m.Address, new { @class = "form-control", @placeholder = "Address", id = "address", @rows = "3", @maxlength = "200" })
                        </div>

                        <div style="float: left; white-space: nowrap;" class="col-sm-2">
                            @Html.LabelFor(m => m.City, "City ", new { @class = "col-sm-2 control-label" })
                        </div>
                        <div class="col-sm-2" align="left">
                            @Html.TextBoxFor(m => m.City, new { @class = "form-control", @placeholder = "City", id = "city" })
                        </div>
                        <div class="col-sm-4">
                            @Html.ValidationMessageFor(m => m.Address)
                            @Html.ValidationMessageFor(m => m.City)
                        </div>
                    </div>
                    <div class="form-group">
                        @Html.Label("Province ", new { @class = "col-sm-2 control-label" })
                        <div class="col-sm-4">

                            @Html.DropDownListFor(m => m.Province, new SelectList(
                                                  new List<Object>{
                                                    new { value="", text = "PROVINCE/STATE" },
                                                    new { value="", text = "-----------------" },
                                                    new { value="", text = "CANADIAN PROVINCES" },
                                                    new { value="", text = "-----------------" },
                                                    new { value="Alberta", text = "Alberta" },
                                                    new { value="British Columbia", text = "British Columbia" },
                                                    new { value="Manitoba", text = "Manitoba" },
                                                    new { value="New Brunswick", text = "New Brunswick" },
                                                    new { value="NewFoundland and Labrador", text = "NewFoundland and Labrador" },
                                                    new { value="Northwest Terriories", text = "Northwest Terriories" },
                                                    new { value="Nova Scotia", text = "Nova Scotia" },
                                                    new { value="Nunavut", text = "Nunavut" },
                                                    new { value="Ontario", text = "Ontario" },
                                                    new { value="Prince Edwards Island", text = "Prince Edwards Island" },
                                                    new { value="Quebec", text = "Quebec" },
                                                    new { value="Saskatchewan", text = "Saskatchewan" },
                                                    new { value="Yukon", text = "Yukon" },
                                                    new { value="", text = "-----------------" },
                                                    new { value="", text = "US STATES" },
                                                    new { value="", text = "-----------------" },
                                                    new  { Text="Alabama", Value="AL"},
                                                    new  { Text="Alaska", Value="AK"},
                                                    new  { Text="Arizona", Value="AZ"},
                                                    new  { Text="Arkansas", Value="AR"},
                                                    new  { Text="California", Value="CA"},
                                                    new  { Text="Colorado", Value="CO"},
                                                    new  { Text="Connecticut", Value="CT"},
                                                    new  { Text="District of Columbia", Value="DC"},
                                                    new  { Text="Delaware", Value="DE"},
                                                    new  { Text="Florida", Value="FL"},
                                                    new  { Text="Georgia", Value="GA"},
                                                    new  { Text="Hawaii", Value="HI"},
                                                    new  { Text="Idaho", Value="ID"},
                                                    new  { Text="Illinois", Value="IL"},
                                                    new  { Text="Indiana", Value="IN"},
                                                    new  { Text="Iowa", Value="IA"},
                                                    new  { Text="Kansas", Value="KS"},
                                                    new  { Text="Kentucky", Value="KY"},
                                                    new  { Text="Louisiana", Value="LA"},
                                                    new  { Text="Maine", Value="ME"},
                                                    new  { Text="Maryland", Value="MD"},
                                                    new  { Text="Massachusetts", Value="MA"},
                                                    new  { Text="Michigan", Value="MI"},
                                                    new  { Text="Minnesota", Value="MN"},
                                                    new  { Text="Mississippi", Value="MS"},
                                                    new  { Text="Missouri", Value="MO"},
                                                    new  { Text="Montana", Value="MT"},
                                                    new  { Text="Nebraska", Value="NE"},
                                                    new  { Text="Nevada", Value="NV"},
                                                    new  { Text="New Hampshire", Value="NH"},
                                                    new  { Text="New Jersey", Value="NJ"},
                                                    new  { Text="New Mexico", Value="NM"},
                                                    new  { Text="New York", Value="NY"},
                                                    new  { Text="North Carolina", Value="NC"},
                                                    new  { Text="North Dakota", Value="ND"},
                                                    new  { Text="Ohio", Value="OH"},
                                                    new  { Text="Oklahoma", Value="OK"},
                                                    new  { Text="Oregon", Value="OR"},
                                                    new  { Text="Pennsylvania", Value="PA"},
                                                    new  { Text="Rhode Island", Value="RI"},
                                                    new  { Text="South Carolina", Value="SC"},
                                                    new  { Text="South Dakota", Value="SD"},
                                                    new  { Text="Tennessee", Value="TN"},
                                                    new  { Text="Texas", Value="TX"},
                                                    new  { Text="Utah", Value="UT"},
                                                    new  { Text="Vermont", Value="VT"},
                                                    new  { Text="Virginia", Value="VA"},
                                                    new  { Text="Washington", Value="WA"},
                                                    new  { Text="West Virginia", Value="WV"},
                                                    new  { Text="Wisconsin", Value="WI"},
                                                    new  { Text="Wyoming", Value="WY"}

                                                    },
                                                  "value",
                                                  "text",
                                                   2), new { @class = "form-control", @placeholder = "Province", id = "province" })
                        </div>
                        <div style="float: left; white-space: nowrap;" class="col-sm-2">
                            @Html.LabelFor(m => m.PostalCode, "Postal Code ", new { @class = "col-sm-2 control-label" })
                        </div>
                        <div class="col-sm-2">
                            @Html.TextBoxFor(m => m.PostalCode, new { @class = "form-control", @placeholder = "Postal Code", id = "postalcode" })
                        </div>
                        <div class="col-sm-4">
                            @Html.ValidationMessageFor(m => m.Province)
                            @Html.ValidationMessageFor(m => m.PostalCode)
                        </div>
                    </div>
                    <div class="form-group">
                        @Html.Label("Neighbourhood ", new { @class = "col-sm-2 control-label" })
                        <div class="col-sm-4">
                            @Html.TextBoxFor(m => m.Neighbourhood, new { @class = "form-control", @placeholder = "Neighbourhood", id = "neighbourhood" })
                        </div>
                    </div>
                </div>
            </div>

            <div class="panel  panel-primary">
                <div class="panel-heading" align="left">Listing Contact</div>
                <div class="panel-body">
                    <div class="form-group">
                        @Html.LabelFor(m => m.ContactPerson, "Contact Person", new { @class = "col-sm-2 control-label" })
                        <div class="col-sm-4">
                            @Html.TextBoxFor(m => m.ContactPerson, new { @class = "form-control" })
                        </div>
                        @Html.ValidationMessageFor(m => m.ContactPerson)
                    </div>

                    <div class="form-group">
                        @Html.LabelFor(m => m.PhoneNo, "Phone No", new { @class = "col-sm-2 control-label" })
                        <div class="col-sm-2" align="left">
                            @Html.TextBoxFor(m => m.PhoneNo, new { @class = "form-control" })
                        </div>
                        <div class="col-sm-4" align="left">
                            @Html.CheckBoxFor(m => m.DontShowPhoneNo)
                            @Html.LabelFor(m => m.DontShowPhoneNo, "Don't Show Phone No", new { @class = "control-label" })
                        </div>
                        @Html.ValidationMessageFor(m => m.PhoneNo)
                    </div>
                </div>
            </div>

            <div class="panel panel-primary">
                <div class="panel-heading" align="left">Listing Details</div>
                <div class="panel-body">
                    <div class="form-group">
                        @Html.LabelFor(m => m.ListPrice, "List Price", new { @class = "col-sm-2 control-label", @placeholder = "Sale Price" })
                        <div class="col-sm-2">
                            @Html.TextBoxFor(m => m.ListPrice, new { @class = "form-control", @placeholder = "Price in $" })
                        </div>
                        <div class="col-sm-4" align="left">
                            @Html.CheckBoxFor(m => m.DontShowListPrice)
                            @Html.LabelFor(m => m.ListPrice, "Don't Show Price", new { @class = "control-label" })
                        </div>
                        <div class="col-sm-4">
                            @Html.ValidationMessageFor(m => m.ListPrice)
                        </div>
                    </div>

                    <div class="form-group">
                        @Html.LabelFor(m => m.SquareFootage, "Sq footage ", new { @class = "col-sm-2 control-label" })
                        <div class="col-sm-2" align="left">
                            @Html.TextBoxFor(m => m.SquareFootage, new { @class = "form-control", @placeholder = "Square footage" })
                        </div>
                        <div class="col-sm-4" align="left">
                            @Html.CheckBoxFor(m => m.DontShowSquareFootage)
                            @Html.LabelFor(m => m.DontShowSquareFootage, "Don't Show Sq. Foot", new { @class = "control-label" })

                        </div>
                        <div class="col-sm-2">
                            @Html.ValidationMessageFor(m => m.SquareFootage)
                        </div>
                    </div>

                    <div class="form-group">
                        @Html.Label("Property Type:", new { @class = "col-sm-2 control-label" })
                        <div class="col-sm-4">
                            @Html.DropDownListFor(x => x.PropertyType, propertyTypes, new { @class = "form-control" })

                        </div>
                        <div class="col-sm-10">
                        </div>
                    </div>

                    <div class="form-group">
                        @Html.Label("No Of Bathrooms:", new { @class = "col-sm-2 control-label" })
                        <div class="col-sm-2">
                            <select name="NoOfBathrooms" class="form-control">
                                <option value="1">1</option>
                                <option value="1.5">1.5</option>
                                <option value="2">2</option>
                                <option value="3">3</option>
                                <option value="4">4</option>
                                <option value="5">5</option>
                                <option value="6">6</option>
                            </select>
                        </div>
                        <div class="col-sm-10">
                        </div>
                    </div>

                    <div class="form-group">
                        @Html.Label("No Of Bedrooms:", new { @class = "col-sm-2 control-label" })
                        <div class="col-sm-2">
                            <select name="NoOfBedrooms" class="form-control">
                                <option value="1">1</option>
                                <option value="1.5">1.5</option>
                                <option value="2">2</option>
                                <option value="3">3</option>
                                <option value="4">4</option>
                                <option value="5">5</option>
                                <option value="6">6</option>
                            </select>
                        </div>
                        <div class="col-sm-10">
                        </div>
                    </div>

                    <div class="form-group">
                        @Html.LabelFor(m => m.MainSellingDesc, "Sellers Description", new { @class = "col-sm-2 control-label" })
                        <div class="col-sm-6" align="left">
                            @Html.TextAreaFor(m => m.MainSellingDesc, new { @class = "form-control", @rows = "4", @maxlength = "500" })
                        </div>
                        @Html.ValidationMessageFor(m => m.MainSellingDesc)
                    </div>
                </div>
            </div>

            <div class="panel panel-primary">
                <div class="panel-heading" align="left">
                    Upload the top 4 pictures of your property. (Note: Ideally the first picture should be an outside picture of the property).
                </div>
                <div class="panel-body">
                    <div class="form-group">
                        @Html.LabelFor(m => m.ImagesVirtualSign, "First Photo", new { @class = "col-sm-2 control-label" })
                        <div class="col-sm-8" align="left">
                            <!--   @Html.TextBoxFor(m => m.ImagesVirtualSign, "ImagesVirtualSign", new { @class = "col-sm-6 control-label", type = "file", accept = "image/*", id = "image1" })-->
                            <!--button class="col-sm-3 control-label" data-toggle="modal" data-target="#imageCropper" id = "image1">Upload Image</button-->
                            <button class="btn btn-default" data-toggle="modal" data-target="#imageCropper" id="image1"><i class="icon-upload" style="padding-right: 5px"></i>Upload Image</button>
                            <output id="list1"></output>
                            @Html.HiddenFor(m => m.Image1VirtualSign, new { id = "_image1" })
                        </div>
                    </div>

                    <div class="form-group">
                        @Html.LabelFor(m => m.ImagesVirtualSign, "Second Photo", new { @class = "col-sm-2 control-label", type = "file", accept = "image/*" })
                        <div class="col-sm-8" align="left">
                            <!-- @Html.TextBoxFor(m => m.ImagesVirtualSign, "ImagesVirtualSign", new { @class = "col-sm-6 control-label", type = "file", accept = "image/*", id = "image2" })-->
                            <!--button class="col-sm-3 control-label" data-toggle="modal" data-target="#imageCropper" id = "image2">Upload Image</button-->
                            <button class="btn btn-default" data-toggle="modal" data-target="#imageCropper" id="image2"><i class="icon-upload" style="padding-right: 5px"></i>Upload Image</button>
                            <output id="list2"></output>
                            @Html.HiddenFor(m => m.Image2VirtualSign, new { id = "_image2" })
                        </div>
                    </div>

                    <div class="form-group">
                        @Html.LabelFor(m => m.ImagesVirtualSign, "Third Photo", new { @class = "col-sm-2 control-label", type = "file", accept = "image/*" })
                        <div class="col-sm-8" align="left">
                            <!--@Html.TextBoxFor(m => m.ImagesVirtualSign, "ImagesVirtualSign", new { @class = "col-sm-6 control-label", type = "file", accept = "image/*", id = "image3" })-->
                            <!--button class="col-sm-3 control-label" data-toggle="modal" data-target="#imageCropper" id = "image3">Upload Image</button-->
                            <button class="btn btn-default" data-toggle="modal" data-target="#imageCropper" id="image3"><i class="icon-upload" style="padding-right: 5px"></i>Upload Image</button>
                            <output id="list3"></output>
                            @Html.HiddenFor(m => m.Image3VirtualSign, new { id = "_image3" })
                        </div>
                    </div>

                    <div class="form-group">
                        @Html.LabelFor(m => m.ImagesVirtualSign, "Fourth Photo", new { @class = "col-sm-2 control-label", type = "file", accept = "image/*" })

                        <div class="col-sm-8" align="left">
                            <!-- @Html.TextBoxFor(m => m.ImagesVirtualSign, "ImagesVirtualSign", new { @class = "col-sm-6 control-label", type = "file", accept = "image/*", id = "image4" })-->


                            <button class="btn btn-default" data-toggle="modal" data-target="#imageCropper" id="image4"><i class="icon-upload" style="padding-right: 5px"></i>Upload Image</button>
                            <output id="list4"></output>
                            @Html.HiddenFor(m => m.Image4VirtualSign, new { id = "_image4" })
                        </div>
                    </div>

                </div>
            </div>

            <div class="panel">
                <div class="panel-body">
                    <div class="form-group">
                        <div class="col-sm-8" align="left">
                            <label>
                                Do you wish to make your contact information private?
                                @Html.CheckBoxFor(m => m.PrivateSellerOption)
                                <span style="color:#0aa1ca; text-decoration:underline;" id="helpinfo">more info</span>
                            </label>
                        </div>
                    </div>
                    <div class="form-group">
                        <div class="col-sm-8" align="center">
                            <input type="submit" class="btn btn-primary btn-lg" value="Create Your Listing" onclick="SetBtnId" />
                        </div>
                    </div>

                </div>
            </div>
        </fieldset>
    </div>
<div id='injection_site' style="width: 500px"></div>
<div id="preview-template" style="display: none;">
    <div class="dz-preview dz-file-preview">
        <div class="dz-details hidden">
            <div class="dz-filename"><span data-dz-name></span></div>
            <div class="dz-size" data-dz-size></div>
            <img data-dz-thumbnail />
        </div>
        <div class="dz-progress"><span class="dz-upload" data-dz-uploadprogress></span></div>
        <div class="dz-success-mark"><span>✔</span></div>
        <div class="dz-error-mark"><span>✘</span></div>
        <div class="dz-error-message"><span data-dz-errormessage></span></div>
    </div>
</div>
    <!-- Cropper Pop up -->
    <!-- Modal -->
    <div class="modal fade" id="imageCropper" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true" style="display:none;">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button id="ModalXBtn" type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>

                    <div class="modal-title" id="myModalLabel">
                        <h4>Upload Image</h4>
                    </div>
                    <div class="modal-body">

                        <div>
                            <!-- </div><div class="container"> -->

                            <div class="row mt centered">
                                <div>
                                    <!-- <h4 class="centered"> Crop </h4>	-->
                                    <div id="cropContainerModal" style="height:300px; text-align:center;"></div>

                                </div>

                            </div>
                        </div>
                    </div>

                    <div class="modal-footer">
                        <button id="ModalBtnClose" type="button" class="btn btn-primary" data-dismiss="modal">Close</button>
                        <!--<button type="button" class="btn btn-primary">Save changes</button>-->
                    </div>
                </div>
            </div>
        </div>
    </div>


    <script>

	    var CropperWidth = 0;
	    var CropperHeight = 0;
	    var SelectBtn = '';
	    function SetBtnId(event) {

	        SelectBtn = event.target.id;
	        if (SelectBtn.indexOf('ProfilePic') > 0) {
	            CropperWidth = 640;//700;//539;//360;
	            CropperHeight = 400;//525;//210;//200;
	        }
	        else {
	            CropperWidth = 640;//700;//539;//360;
	            CropperHeight = 400;//525;//210;//200;
	        }
	        cropContainerModal.objH = CropperHeight;
	        cropContainerModal.objW = CropperWidth;
	        cropContainerModal.reset()
	    }

	    $("#ModalXBtn").click(function () {
	        cropContainerModal.destroy();
	        cropContainerModal = new Croppic('cropContainerModal', croppicContainerModalOptions);
	    });
	    $("#ModalBtnClose").click(function () {
	        cropContainerModal.destroy();
	        cropContainerModal = new Croppic('cropContainerModal', croppicContainerModalOptions);
	    });
	    var croppicContainerModalOptions = {
	        uploadUrl: 'CropSave',
	        cropUrl: 'CropResponse',
	        modal: true,
	        imgEyecandyOpacity: 0.4,
	        loaderHtml: '<div class="loader bubblingG"><span id="bubblingG_1"></span><span id="bubblingG_2"></span><span id="bubblingG_3"></span></div> '
	    }
	    var cropContainerModal = new Croppic('cropContainerModal', croppicContainerModalOptions);
	    	console.log(cropContainerModal);
	    console.log(croppicContainerModalOptions);
	    cropContainerModal.destroy(); 	// no need explaining here :)
	    cropContainerModal.reset();
    </script>

    <!-- Load Feather code -->
    <script type="text/javascript" src="http://feather.aviary.com/js/feather.js"></script>
    <script type="text/javascript">
        function editListingImage(id, filename) {
            // Make sure the button click doesn't submit the form:

            return launchEditor(id, 'http://casavue-image-bucket.s3-website-us-east-1.amazonaws.com/' + filename);
            // Remove the file preview.
            //_this.removeFile(file);
            // If you want to the delete the file on the server as well,
            // you can do the AJAX request here.
        }

        function removeListingImage(ImageId, filename) {
            $.ajax({
                method: "POST",
                url: "Listing/RemoveListingImage",
                data: { ListingImageId: ImageId, filename: filename }
            })
            .done(function (msg) {
                alert("Data Saved: " + msg);
            });
        }

        var ListingImageCount = 0;
        //File Upload response from the server

        Dropzone.options.dropzoneContainer = {
           maxFiles: @imageUploadCount,
            url: '/Listing/UploadNewListingImages',
            init: function () {
                this.on("maxfilesexceeded", function (data) {
                    var res = eval('(' + data.xhr.responseText + ')');

                });

                var thisDropzone = this;
                //Call the action method to load the images from the server
                //$.getJSON("/Listing/GetListingImages/", { ListingId: $("#ListingId").val() }).done(function (data) {

                //    if (data.Data != '') {

                //        $.each(data.Data, function (index, item) {
                //            //// Create the mock file:

                //            if (item.ListingImageCategory == 'Location')
                //                $('#dropzoneContainer').append('<div class="dz-preview dz-file-preview"><div class="dz-details">' +
                //                    '<div class="dz-filename"><span data-dz-name></span></div><div class="dz-size" data-dz-size>' +
                //                    '</div>  </div> <div class="dz-progress"><span class="dz-upload" data-dz-uploadprogress></span></div> ' +
                //                    '<div class="dz-success-mark"><span>✔</span></div><div class="dz-error-mark"><span>✘</span></div> ' +
                //                    '<div class="dz-error-message"><span data-dz-errormessage></span></div> ' +
                //                    '<div class="dz-custom-thumb">' +
                //                    '<img ListingId="' + item.ListingId + '" filename="' + item.Image + '" id="img-' + item.ListingImageId + '" src="http://casavue-image-bucket.s3-website-us-east-1.amazonaws.com/' + item.Image + '"/></div>' +
                //                    '<a class="aviary-edit" onclick="editListingImage(\'img-' + item.ListingImageId + '\',\'' + item.Image + '\')">Edit</a> <a class="aviary-remove" onclick="removeListingImage(' + item.ListingImageId + ',\'' + item.Image + '\')">Remove</a</div>')

                //            // Call the default addedfile event handler
                //            //thisDropzone.emit("addedfile", mockFile);

                //            // And optionally show the thumbnail of the file:
                //            //thisDropzone.emit("thumbnail", mockFile, 'http://casavue-image-bucket.s3-website-us-east-1.amazonaws.com/' + item.Image);

                //            // If you use the maxFiles option, make sure you adjust it to the
                //            // correct amount:
                //            //var existingFileCount = 1; // The number of files already uploaded
                //            //myDropzone.options.maxFiles = myDropzone.options.maxFiles - existingFileCount;
                //        });
                //    }

                //});

                this.on("sending", function (file, xhr, formData) {
                    ListingImageCount = ListingImageCount + 1;
                    //var listinImagesCount = ($("#listingImagesCount").val() == "") ? 0 : $("#listingImagesCount").val().split(",").length;
                    console.log($("#listingImagesCount").val());
                    formData.append("ImageCategoryId", 2);
                    formData.append("ImageListingId", ListingImageCount);
                });
                /*this.on("addedfile", function (file) {
                    var previewTemplate = $('#preview-template').innerHTML;

                    //console.log(file.toString());
                    //file.previewElement = Dropzone.createElement(previewTemplate);
                    // Create the remove button


                });*/

                this.on("success", function (file, data) {
                    var img = Dropzone.createElement('<div class="dz-custom-thumb"><img filename="' + data.name + '" id="img-' + data.imgId + '" src="http://casavue-image-bucket.s3-website-us-east-1.amazonaws.com/' + file.name + '"/></div>');
                    file.previewElement.appendChild(img);
                    if ($("#listingImages").val() == "")
                        $("#listingImages").val(data.name);
                    else
                        $("#listingImages").val($("#listingImages").val()+','+data.name);

                    $("#listingImagesCount").val(data.imgId);
                    // Capture the Dropzone instance as closure.
                    var _this = this;

                    var editButton = Dropzone.createElement('<a href="#">Edit</a>');
                    // Listen to the click event
                    editButton.addEventListener("click", function (e) {
                        // Make sure the button click doesn't submit the form:
                        e.preventDefault();
                        e.stopPropagation();
                        return launchEditor('img-' + data.imgId, 'http://casavue-image-bucket.s3-website-us-east-1.amazonaws.com/' + file.name);
                        // Remove the file preview.
                        //_this.removeFile(file);
                        // If you want to the delete the file on the server as well,
                        // you can do the AJAX request here.

                        return false;
                    });

                    file.previewElement.appendChild(editButton);

                    var removeButton = Dropzone.createElement('<a href="#">Remove</a>');

                    // Listen to the click event
                    removeButton.addEventListener("click", function (e) {
                        // Make sure the button click doesn't submit the form:
                        e.preventDefault();
                        e.stopPropagation();
                        // Remove the file preview.
                        _this.removeFile(file);

                        var listingImageNames = $('#listingImages').val().split(',');
                        var i = listingImageNames.indexOf(file.name);
                        if (i != -1) {
                            listingImageNames.splice(i, 1);
                        }
                        //for (var img in listingImageNames) {

                        //    if (listingImageNames[i] == file.name) {
                        //        delete listingImageNames[i];
                        //    }
                        //    i = i+1;
                        //}
                        $('#listingImages').val(listingImageNames.join(','));
                        // If you want to the delete the file on the server as well,
                        // you can do the AJAX request here.

                        return false;
                    });


                    // Add the button to the file preview element.
                    file.previewElement.appendChild(removeButton);

                });
            }
        };
    </script>

    <!-- Instantiate Feather -->
    <script type='text/javascript'>
        var featherEditor = new Aviary.Feather({
            apiKey: 'c07fb6b479fe4fd4893c84da80b2be7c',
            apiVersion: 2,
            tools: 'all',
            appendTo: 'injection_site',
            onSave: function (imageID, newURL) {
                var img = document.getElementById(imageID);
                console.log(newURL)
                img.src = newURL;
                console.log($('#' + imageID).attr('filename'));
                $.ajax({
                    type: "POST",
                    url: "/Listing/SaveAndUpdateListingImage",
                    data: { url: newURL, currentImageName: $('#' + imageID).attr('filename') },
                    success: function () { },
                    error: function () { }
                });
            },
            onError: function (errorObj) {
                alert(errorObj.message);
            }
        });
        function launchEditor(id, src) {
            featherEditor.launch({
                image: id,
                url: src
            });
            return false;
        }
    </script>




